<template>
  <div class="relative bg-ground-25">
    <app-aside />
    <div :class="['pl-10 transition-all', { 'pl-60': isOpen }]">
      <header></header>
      <main
        :class="[
          'px-16 bg-gray-200 min-h-screen pt-7 pb-24',
          { 'px-4': isOpen },
        ]"
      >
        <router-view />
      </main>
      <footer></footer>
    </div>
  </div>
</template>

<script setup lang="ts">
import AppAside from "../components/aside/app-aside.vue";
import { useAside } from "../store/aside";
import { storeToRefs } from "pinia";
import { IUser } from "../models/user.model";
import useUserStore from "../store/user";

const store = useAside();
const storeUser = useUserStore();

const { isOpen } = storeToRefs(store);

const user: IUser = {
  photo:
    "https://img.freepik.com/free-vector/gradient-grainy-texture_23-2148981502.jpg?w=2000&t=st=1707483489~exp=1707484089~hmac=f84cc9cbdd568fc26117cfab8c92e2e0a541de5edc1b4ccd5518c35f7a60ab54",
  name: "Радыгин Дмитрий Анатольевич",
  email: "radygin.dm@gmail.com",
  phone: "8 999 999 99 99",
  birday: "2022-05-25",
  growth: 184,
  curLevel: {
    name: "Профи",
    id: 1,
  },
  level: [
    {
      name: "Профи",
      id: 1,
    },
    {
      name: "Уверенный",
      id: 2,
    },
    {
      name: "Новичек",
      id: 3,
    },
  ],
  curRole: {
    name: "Доигровщик",
    id: 1,
  },
  role: [
    {
      name: "Доигровщик",
      id: 1,
    },
    {
      name: "Диагональный",
      id: 2,
    },
    {
      name: "Связующий",
      id: 3,
    },
    {
      name: "Либеро",
      id: 4,
    },
  ],
};

storeUser.setUser(user);
</script>
